OGRE: Ogre::SceneManager::ShadowCasterSceneQueryListener Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::SceneManager::ShadowCasterSceneQueryListener Class Reference

Inner class to use as callback for shadow caster scene query. More...

`#include <OgreSceneManager.h>`

Inheritance diagram for Ogre::SceneManager::ShadowCasterSceneQueryListener:

[legend]
List of all members.

## Public Member Functions

| ShadowCasterSceneQueryListener (SceneManager *sm)
void | prepare (bool lightInFrustum, const PlaneBoundedVolumeList *lightClipVolumes, const Light *light, const Camera *cam, ShadowCasterList *casterList, Real farDistSquared)
bool | queryResult (MovableObject *object)
| Called when a MovableObject is returned by a query.
bool | queryResult (SceneQuery::WorldFragment *fragment)
| Called when a WorldFragment is returned by a query.

## Protected Attributes

SceneManager * | mSceneMgr
ShadowCasterList * | mCasterList
bool | mIsLightInFrustum
const PlaneBoundedVolumeList * | mLightClipVolumeList
const Camera * | mCamera
const Light * | mLight
Real | mFarDistSquared

## Detailed Description

Inner class to use as callback for shadow caster scene query.

Definition at line 688 of file OgreSceneManager.h.

## Constructor & Destructor Documentation

Ogre::SceneManager::ShadowCasterSceneQueryListener::ShadowCasterSceneQueryListener | ( | SceneManager * | sm | ) |

| Definition at line 699 of file OgreSceneManager.h.

## Member Function Documentation

void Ogre::SceneManager::ShadowCasterSceneQueryListener::prepare | ( | bool | lightInFrustum,
|  | const PlaneBoundedVolumeList * | lightClipVolumes,
|  | const Light * | light,
|  | const Camera * | cam,
|  | ShadowCasterList * | casterList,
|  | Real | farDistSquared
| ) |

| Definition at line 703 of file OgreSceneManager.h.

bool Ogre::SceneManager::ShadowCasterSceneQueryListener::queryResult | ( | SceneQuery::WorldFragment * | fragment | ) | `[virtual]`

Called when a WorldFragment is returned by a query.

Remarks:
  The implementor should return 'true' to continue returning objects, or 'false' to abandon any further results from this query.

Implements Ogre::SceneQueryListener.

bool Ogre::SceneManager::ShadowCasterSceneQueryListener::queryResult | ( | MovableObject * | object | ) | `[virtual]`

Called when a MovableObject is returned by a query.

Remarks:
  The implementor should return 'true' to continue returning objects, or 'false' to abandon any further results from this query.

Implements Ogre::SceneQueryListener.

## Member Data Documentation

const Camera* Ogre::SceneManager::ShadowCasterSceneQueryListener::mCamera`[protected]`

| Definition at line 695 of file OgreSceneManager.h.

ShadowCasterList* Ogre::SceneManager::ShadowCasterSceneQueryListener::mCasterList`[protected]`

| Definition at line 692 of file OgreSceneManager.h.

Real Ogre::SceneManager::ShadowCasterSceneQueryListener::mFarDistSquared`[protected]`

| Definition at line 697 of file OgreSceneManager.h.

bool Ogre::SceneManager::ShadowCasterSceneQueryListener::mIsLightInFrustum`[protected]`

| Definition at line 693 of file OgreSceneManager.h.

const Light* Ogre::SceneManager::ShadowCasterSceneQueryListener::mLight`[protected]`

| Definition at line 696 of file OgreSceneManager.h.

const PlaneBoundedVolumeList* Ogre::SceneManager::ShadowCasterSceneQueryListener::mLightClipVolumeList`[protected]`

| Definition at line 694 of file OgreSceneManager.h.

SceneManager* Ogre::SceneManager::ShadowCasterSceneQueryListener::mSceneMgr`[protected]`

| Definition at line 691 of file OgreSceneManager.h.

The documentation for this class was generated from the following file:

- OgreSceneManager.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:48:32 2008